<template>
	<view >
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true" >
			<block slot="backText">返回</block>
			<block slot="content">设备检修申请</block>
		</cu-custom>
		<scroll-view scroll-y="false" >
		<view class="form">
			<view class="wui-form-list">
				<view class="cu-form-group">
					<view class="title">设备名称：</view>
					<input name="input" ref="NAME" :disabled="forbidEdit" v-model="pd.NAME" placeholder="请输入设备名称"></input>
				</view>
				<view class="cu-form-group">
					<view class="title">所属单位：</view>
					<input name="input" ref="EQUIPMENT_CORP" :disabled="forbidEdit" v-model="pd.EQUIPMENT_CORP" placeholder="请输入所属单位"></input>
				</view>

				<view class="cu-form-group">
					<view class="title">检修地点：</view>
					<input name="input" ref="WORK_PLACE" :disabled="forbidEdit" v-model="pd.WORK_PLACE" placeholder="请输入检修地点"></input>
				</view>

				<view class="cu-form-group" v-if="!forbidEdit">
					<view class="title">检修单位：</view>
					<view class="picker-tree-box">
						<view class="picker-tree" @tap="showOverhaulTree">{{pd.OVERHAUL_DEPARTMENT_NAME?pd.OVERHAUL_DEPARTMENT_NAME:'请选择'}}</view>
					</view>
					<tki-tree ref="tkiTree_overhaul"
							  :selectParent=true
							  :range="treeNode"
							  rangeKey="name"
							  @confirm="overhaultreeConfirm"
							  @cancel="overhaultreeCancel"></tki-tree>
				</view>
				<view class="cu-form-group" v-if="!forbidEdit">
						<view class="title">检修人：</view>
						<picker @change="PickerOverhaul" :value="overhaulindex" :range="overhaulUserList" range-key="NAME" :disabled="overhaulUserList.length == 0" @click="isBlankList('overhaul')">
							<view class="picker">
								{{pd.OVERHAUL_USER_NAME?pd.OVERHAUL_USER_NAME:'请选择'}}
							</view>
						</picker>

				</view>
				<view class="cu-form-group group-picker" v-if="forbidEdit">
					<view class="title">检修人：</view>
					{{pd.OVERHAUL_USER_NAME}}
				</view>

				<view class="cu-form-group">
					<view class="title">参与检修人：</view>
					<input name="input" ref="OTHER_USERS" :disabled="forbidEdit" v-model="pd.OTHER_USERS" placeholder="请输入参与检修人"></input>
				</view>

<!--				<view class="cu-form-group margin-top" v-if="!forbidEdit">-->
<!--					<view class="title">申请单位</view>-->
<!--					<view class="picker-tree-box">-->
<!--						<view class="picker-tree" @tap="showApplyTree">{{pd.APPLY_DEPARTMENT_NAME?pd.APPLY_DEPARTMENT_NAME:'请选择'}}</view>-->
<!--					</view>-->
<!--					<tki-tree ref="tkiTree_apply"-->
<!--							  :selectParent=true-->
<!--							  :range="treeNode"-->
<!--							  rangeKey="name"-->
<!--							  @confirm="applytreeConfirm"-->
<!--							  @cancel="applytreeCancel"></tki-tree>-->
<!--				</view>-->
<!--				<view class="cu-form-group margin-top" v-if="!forbidEdit">-->
<!--					<view class="title">申请人</view>-->
<!--					<picker @change="PickerApply" :value="applyindex" :range="applyUserList" range-key="NAME">-->
<!--						<view class="picker">-->
<!--							{{pd.APPLY_USER_NAME?pd.APPLY_USER_NAME:'请选择'}}-->
<!--						</view>-->
<!--					</picker>-->
<!--				</view>-->
				<view class="cu-form-group group-picker" >
					<view class="title">申请人：</view>
					{{pd.APPLY_USER_NAME}}
				</view>

				<view class="cu-form-group">
					<view class="title">监护人：</view>
					<input name="input" ref="CUSTODIAN_USER" :disabled="forbidEdit" v-model="pd.CUSTODIAN_USER" placeholder="请输入监护人"></input>
				</view>

				<view class="cu-form-group ">
					<view class="title">作业开始时间：</view>
					<ruiDatePicker v-if="!forbidEdit"
					:start="todayDate"
					fields="minute"
					:value="pd.WORK_START_DATE?pd.WORK_START_DATE:''"
					@change="changeStartDate"
					></ruiDatePicker>
					<view v-else>{{pd.WORK_START_DATE}}</view>
				</view>
				<view class="cu-form-group">
					<view class="title">作业结束时间：</view>
					<ruiDatePicker v-if="!forbidEdit"
					:start="todayDate"
					fields="minute"
					:value="pd.WORK_END_DATE?pd.WORK_END_DATE:''"
					@change="changeEndDate"
					></ruiDatePicker>
					<view v-else>{{pd.WORK_END_DATE}}</view>
				</view>

				<view class="cu-form-group">
					<view class="title">作业内容：</view>
					<input name="input" ref="WORK_CONTENT" :disabled="forbidEdit" v-model="pd.WORK_CONTENT" placeholder="请输入作业内容"></input>
				</view>
			</view>

			<view class="wui-form-list" v-if="pd.APPLY_STATUS" style="padding-top: 20upx;">
				<view class="wui-title" style="margin-left: 20upx;">
					<text class="text-semi">安全防护措施</text>
				</view>
				<view class="wui-table" style="padding: 0 20upx;">
					<uni-table name='measuresList' border stripe emptyText="暂无更多数据" >
						<!-- 表头行 -->
						<uni-tr>
							<uni-th align="center" style="font-weight: bold;">危害辨识</uni-th>
							<uni-th align="center" style="font-weight: bold;">防护措施</uni-th>
							<uni-th align="center" style="font-weight: bold;width: 100px;">操作</uni-th>
						</uni-tr>
						<uni-tr v-for="(item,index) in measuresList" :key="item.BUS_EQUIPMENTOVERHAUL_MEASURES_ID">
							<uni-td>{{item.RISK_IDENTIFICATION}}</uni-td>
							<uni-td>{{item.PROTECTIVE_MEASURES}}</uni-td>
							<uni-td align="center">
								<radio-group class="wui-radio-group">
									<view class="group" v-if="item.STATUS=='-1'">
										<radio class='radio'  value="-1"  checked></radio>
									</view>
									<view class="group" v-if="item.STATUS=='1'">
										<radio value="1" checked></radio>
									</view>
								</radio-group>
							</uni-td>
						</uni-tr>
					</uni-table>
				</view>
				<view v-if="pd.APPLY_STATUS!=0 && pd.APPLY_STATUS!=1">
					<view style="padding: 30upx 0 20upx 30upx">
						<view class="text-bold">其他防护措施：</view>
					</view>
					<view style="padding-left: 30upx;padding-bottom: 20upx;">

					<view v-if="pd.CONFIRM_USER_MEASURES" class="ty-group">
						<text class="title">
							监护人：</text>
						<text>{{ pd.CONFIRM_USER_MEASURES}}</text>
					</view>
					<view v-if="pd.AUDIT_USER_MEASURES" class="ty-group">
						<text class="title">
							动力部门：</text>
						<text>{{ pd.AUDIT_USER_MEASURES}}</text>
					</view>
					<view v-if="pd.APPROVE_USER_MEASURES" class="ty-group">
						<text class="title">
							生产部门：</text>
						<text>{{ pd.APPROVE_USER_MEASURES}}</text>
					</view>
					</view>
				</view>
			</view>

			<view class="wui-form-list">
				<view class="cu-form-group" v-if="!forbidEdit">
					<view class="title">安全措施确认单位：</view>
					<view class="picker-tree-box">
						<view class="picker-tree" @tap="showConfirmTree">{{pd.CONFIRM_DEPARTMENT_NAME?pd.CONFIRM_DEPARTMENT_NAME:'请选择'}}</view>
					</view>
					<tki-tree ref="tkiTree_confirm"
							  :selectParent=true
							  :range="treeNode"
							  rangeKey="name"
							  @confirm="confirmtreeConfirm"
							  @cancel="confirmtreeCancel"></tki-tree>
				</view>
				<view class="cu-form-group" v-if="!forbidEdit">
					<view class="title">安全措施确认人：</view>
					<picker @change="PickerConfirm" :value="confirmindex" :range="confirmUserList" range-key="NAME" :disabled="confirmUserList.length == 0" @click="isBlankList('confirm')">
						<view class="picker">
							{{pd.CONFIRM_USER_NAME?pd.CONFIRM_USER_NAME:'请选择'}}
						</view>
					</picker>
				</view>
				<view class="cu-form-group" v-if="forbidEdit">
					<view class="title">安全措施确认人：</view>
					{{pd.CONFIRM_USER_NAME}} {{pd.CONFIRM_USER_SIGNER_TIME}}
				</view>

				<view class="cu-form-group" v-if="!forbidEdit">
					<view class="title">动力部门审批单位：</view>
					<view class="picker-tree-box">
						<view class="picker-tree" @tap="showAuditTree">{{pd.AUDIT_DEPARTMENT_NAME?pd.AUDIT_DEPARTMENT_NAME:'请选择'}}</view>
					</view>
					<tki-tree ref="tkiTree_audit"
							  :selectParent=true
							  :range="treeNode"
							  rangeKey="name"
							  @confirm="audittreeConfirm"
							  @cancel="audittreeCancel"></tki-tree>
				</view>
				<view class="cu-form-group" v-if="!forbidEdit">
					<view class="title">动力部门审核部门：</view>
					<picker @change="PickerAudit" :value="auditindex" :range="auditUserList" range-key="NAME" :disabled="auditUserList.length == 0" @click="isBlankList('audit')">
						<view class="picker">
							{{pd.AUDIT_USER_NAME?pd.AUDIT_USER_NAME:'请选择'}}
						</view>
					</picker>
				</view>
				<view class="cu-form-group" v-if="forbidEdit">
					<view class="title">安全措施确认人：</view>
					{{pd.AUDIT_USER_NAME}} {{pd.AUDIT_USER_SIGNER_TIME}}
				</view>

				<view class="cu-form-group" v-if="!forbidEdit">
					<view class="title">生产部门审批单位：</view>
					<view class="picker-tree-box">
						<view class="picker-tree" @tap="showApproveTree">{{pd.APPROVE_DEPARTMENT_NAME?pd.APPROVE_DEPARTMENT_NAME:'请选择'}}</view>
					</view>
					<tki-tree ref="tkiTree_approve"
							  :selectParent=true
							  :range="treeNode"
							  rangeKey="name"
							  @confirm="approvetreeConfirm"
							  @cancel="approvetreeCancel"></tki-tree>
				</view>
				<view class="cu-form-group" v-if="!forbidEdit">
					<view class="title">生产部门审批人：</view>
					<picker @change="PickerApprove" :value="approveindex" :range="approveUserList" range-key="NAME" :disabled="approveUserList.length == 0" @click="isBlankList('approve')">
						<view class="picker">
							{{pd.APPROVE_USER_NAME?pd.APPROVE_USER_NAME:'请选择'}}
						</view>
					</picker>
				</view>
				<view class="cu-form-group" v-if="forbidEdit">
					<view class="title">生产部门审批人：</view>
					{{pd.APPROVE_USER_NAME}}  {{pd.APPROVE_USER_SIGNER_TIME}}
				</view>
			</view>
		</view>
		<view class="cu-bar btn-group" style="margin-top: 30upx;">
			<button v-if="!forbidEdit" class="cu-btn bg-blue margin-tb-sm lg" @click="$noMultipleClicks(goSubmit,'1')">提交</button>
			<button v-if="!forbidEdit" class="cu-btn bg-green margin-tb-sm lg" @click="$noMultipleClicks(goSubmit,'0')">暂存</button>
			<button v-if="forbidEdit" class="cu-btn bg-green margin-tb-sm lg" @click="$noMultipleClicks(goback)">返回</button>
		</view>
		<view class="padding flex flex-direction">
		</view>
		</scroll-view>
	</view>
</template>

<script>
	import {
		basePath,corpinfoId,deptId,loginUser,formatDate,loginSession,baseImgPath
	} from '@/common/tool.js';
	import tkiTree from "@/components/select-tree/select-tree.vue"
	import writingBoard from "@/components/writing-board/writing-board.vue"
	import gcoord from '@/common/gcoord.js'
	import ruiDatePicker from '@/components/rattenking-dtpicker/rattenking-dtpicker.vue';
	export default {
		components: {
			tkiTree,ruiDatePicker,writingBoard
		},
		data() {
			return {
				baseImgPath:baseImgPath,
				isUps:false,
				forbidEdit:true,// 禁止修改
				msg:'add',
				noClick:true,
				treeNode:[],//部门下拉数据
				overhaulUserList:[],
				overhaulindex:-1,
				applyUserList:[],
				applyindex:-1,
				confirmUserList:[],
				confirmindex:-1,
				auditUserList:[],
				auditindex:-1,
				approveUserList:[],
				approveindex:-1,
				pd:{},// 数据
				measuresList:[],
				rules:[
					{name:'NAME',message:'请输入作业编号'},
					{name:'EQUIPMENT_CORP',message:'请输入所属单位'},
					{name:'WORK_PLACE',message:'请输入检修地点'},
					{name:'OVERHAUL_DEPARTMENT_ID',message:'请选择检修单位'},
					{name:'OVERHAUL_USER_ID',message:'请选择检修人'},
					{name:'OTHER_USERS',message:'请输入参与检修人'},
					{name:'APPLY_DEPARTMENT_ID',message:'请选择申请单位'},
					{name:'APPLY_USER_ID',message:'请选择申请人'},
					{name:'CUSTODIAN_USER',message:'请输入监护人'},
					{name:'WORK_START_DATE',message:'请选择作业开始时间'},
					{name:'WORK_END_DATE',message:'请选择作业结束时间'},
					{name:'WORK_CONTENT',message:'请选择作业内容'},
					{name:'CONFIRM_DEPARTMENT_ID',message:'请选择安全措施确认单位'},
					{name:'CONFIRM_USER_ID',message:'请选择安全措施确认人'},
					{name:'AUDIT_DEPARTMENT_ID',message:'请选择动力部门审批单位'},
					{name:'AUDIT_USER_ID',message:'请选择动力部门审批人'},
					{name:'APPROVE_DEPARTMENT_ID',message:'请选择生产部门审批单位'},
					{name:'APPROVE_USER_ID',message:'请选择生产部门审批人'},
				],
				todayDate:'',

			}
		},
		onLoad(event){
			this.todayDate =  formatDate(new Date(), 'yyyy-MM-dd hh:mm');
			this.pd.EQUIPMENTOVERHAUL_ID = event.EQUIPMENTOVERHAUL_ID;
			if(this.pd.EQUIPMENTOVERHAUL_ID){
				this.msg="edit";
				this.getData();
			}else {
				// 初始化作业负责人
				this.pd.APPLY_DEPARTMENT_ID = loginUser.DEPARTMENT_ID;
				this.pd.APPLY_DEPARTMENT_NAME = loginUser.DEPARTMENT_NAME;
				this.pd.APPLY_USER_ID = loginUser.USER_ID;
				this.pd.APPLY_USER_NAME = loginUser.NAME;
				this.forbidEdit = false;
			}
			// 初始化现场作业负责人
			this.getDept();
			loginSession();

		},
		methods: {
			validStr(str){
				if (str!=null && str!='' && typeof(str)!="undefined" && str!=0)
					return true
				return false
			},
			getData() {
				var _this = this;
				uni.showLoading({
					title: '请稍候'
				})
				uni.request({
					url: basePath + '/app/equipmentoverhaul/goEdit',
					method: 'POST',
 					header: {
						'Content-type': 'application/x-www-form-urlencoded'
					},
					data: {
						EQUIPMENTOVERHAUL_ID: _this.pd.EQUIPMENTOVERHAUL_ID,
            CORPINFO_ID:loginUser.CORPINFO_ID,
            USER_ID:loginUser.USER_ID,
					},
					success: (res) => {
						if ("success" == res.data.result) {
							uni.hideLoading();
							var MEASURES = ['','','']
							var OTHER_PROTECTIVE_MEASURES = _this.validStr(res.data.pd.OTHER_PROTECTIVE_MEASURES) ? res.data.pd.OTHER_PROTECTIVE_MEASURES.split(";_;") : []
							OTHER_PROTECTIVE_MEASURES.forEach((value, index) => {
								MEASURES[index] = value; //结果为true
							});
							res.data.pd = Object.assign(res.data.pd,
							{
								"CONFIRM_USER_MEASURES": MEASURES[0],
								"AUDIT_USER_MEASURES":MEASURES[1],
								"APPROVE_USER_MEASURES":MEASURES[2]
							})
							res.data.pd.OTHER_PROTECTIVE_MEASURES = ''
							_this.pd = res.data.pd; //参数map
							_this.measuresList = res.data.measuresList
							if(_this.pd.APPLY_STATUS < 1){
								_this.forbidEdit = false;
							}
						} else if ("exception" == data.result) {
							uni.showToast({
								title: '错误',
								duration: 2000
							});
						}
					}
				});
			},
			goSubmit(STATUS){
				var _this = this;
				let required = true
				uni.showLoading({
					title: '请稍候'
				})
				if(STATUS==1) {
					this.rules.map(({name,message})  => {
						if (!this.pd[name]) {
							uni.showToast({
								icon: 'none',
								title: message,
								duration: 1500
							});
							required = false
						}
					})
					if (!required) {
						return
					}
				}
				const formData={}
				Object.keys(this.pd).map(key => {
					formData[key]=this.pd[key]
				})
				formData.CORPINFO_ID=corpinfoId
				formData.CREATOR=loginUser.USER_ID
				formData.OPERATOR=loginUser.USER_ID
				formData.ACTION_USER=loginUser.NAME
				formData.APPLY_STATUS=STATUS
				uni.request({
					url: basePath + "app/equipmentoverhaul/"+_this.msg,
					method: 'POST',
					dataType: 'json',
					header:{
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
            ...formData,
            CORPINFO_ID:loginUser.CORPINFO_ID,
            USER_ID:loginUser.USER_ID,
          },
					success: (res) => {
						uni.showToast({
							icon:'none',
							title: '保存成功',
							duration: 2000
						});
						_this.goback()
					},
					fail: (err) => {
						uni.hideLoading();
						uni.showModal({
							content: err.errMsg,
							showCancel: false
						});
					}
				})
			},
			getDept() {
				var _this = this;
				uni.request({
					url: basePath + '/app/sys/listTree',//部门下拉接口
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
            CORPINFO_ID:loginUser.CORPINFO_ID,
            USER_ID:loginUser.USER_ID,
					},
					success: (res) => {
						if("success" == res.data.result){
							_this.treeNode=eval(res.data.zTreeNodes);
						} else {
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				});
			},
			//获取人员列表
			getUserList(dept,list,i){
				//发送 post 请求
				var _this=this
				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					url: basePath+'/app/sys/listUser',
					data: {
            DEPARTMENT_ID:dept,
            tm:new Date().getTime(),
            CORPINFO_ID:loginUser.CORPINFO_ID,
            USER_ID:loginUser.USER_ID,
          },
					success: function(res){
						if("success" == res.data.result){
							if(i>-1) {
								_this[list][i] = [];
								_this[list][i] = res.data.userList;
								_this.$forceUpdate();//强制刷新
							}else{
								_this[list]=res.data.userList;
							}
						}else{
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				})
			},
			isBlankList(userType) {
				switch(userType) {
					case 'overhaul':
						if(this.overhaulUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择检修单位',
								duration: 1500
							})
						}
						break
					case 'confirm':
						if(this.confirmUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择安全措施确认单位',
								duration: 1500
							})
						}
						break
					case 'audit':
						if(this.auditUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择动力部门审批单位',
								duration: 1500
							})
						}
						break
					case 'approve':
						if(this.approveUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择生产部门审批单位',
								duration: 1500
							})
						}
						break
				}
			},

			/*
			*检修人
		 	*/
			// 确定回调事件
			overhaultreeConfirm(e) {
				this.isUps=false;
				this.pd.OVERHAUL_DEPARTMENT_ID=e[0].id;
				this.pd.OVERHAUL_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'overhaulUserList');
			},
			// 取消回调事件
			overhaultreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showOverhaulTree() {
				this.isUps=true
				this.$refs.tkiTree_overhaul._show();
			},
			PickerOverhaul(e) {
				this.overhaulindex = e.detail.value;
				this.pd.OVERHAUL_USER_ID=this.overhaulUserList[this.overhaulindex].USER_ID;
				this.pd.OVERHAUL_USER_NAME=this.overhaulUserList[this.overhaulindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*申请人
		 	*/
			// 确定回调事件
			applytreeConfirm(e) {
				this.isUps=false;
				this.pd.APPLY_DEPARTMENT_ID=e[0].id;
				this.pd.APPLY_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'applyUserList');
			},
			// 取消回调事件
			applytreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showApplyTree() {
				this.isUps=true
				this.$refs.tkiTree_apply._show();
			},
			PickerApply(e) {
				this.applyindex = e.detail.value;
				this.pd.APPLY_USER_ID=this.applyUserList[this.applyindex].USER_ID;
				this.pd.APPLY_USER_NAME=this.applyUserList[this.applyindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*确认人
		 	*/
			// 确定回调事件
			confirmtreeConfirm(e) {
				this.isUps=false;
				this.pd.CONFIRM_DEPARTMENT_ID=e[0].id;
				this.pd.CONFIRM_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'confirmUserList');
			},
			// 取消回调事件
			confirmtreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showConfirmTree() {
				this.isUps=true
				this.$refs.tkiTree_confirm._show();
			},
			PickerConfirm(e) {
				this.confirmindex = e.detail.value;
				this.pd.CONFIRM_USER_ID=this.confirmUserList[this.confirmindex].USER_ID;
				this.pd.CONFIRM_USER_NAME=this.confirmUserList[this.confirmindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*审核部门
		 	*/
			// 确定回调事件
			audittreeConfirm(e) {
				this.isUps=false;
				this.pd.AUDIT_DEPARTMENT_ID=e[0].id;
				this.pd.AUDIT_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'auditUserList');
			},
			// 取消回调事件
			audittreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showAuditTree() {
				this.isUps=true
				this.$refs.tkiTree_audit._show();
			},
			PickerAudit(e) {
				this.auditindex = e.detail.value;
				this.pd.AUDIT_USER_ID=this.auditUserList[this.auditindex].USER_ID;
				this.pd.AUDIT_USER_NAME=this.auditUserList[this.auditindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*审批人
		 	*/
			// 确定回调事件
			approvetreeConfirm(e) {
				this.isUps=false;
				this.pd.APPROVE_DEPARTMENT_ID=e[0].id;
				this.pd.APPROVE_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'approveUserList');
			},
			// 取消回调事件
			approvetreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showApproveTree() {
				this.isUps=true
				this.$refs.tkiTree_approve._show();
			},
			PickerApprove(e) {
				this.approveindex = e.detail.value;
				this.pd.APPROVE_USER_ID=this.approveUserList[this.approveindex].USER_ID;
				this.pd.APPROVE_USER_NAME=this.approveUserList[this.approveindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			changeStartDate(e) {
				this.pd.WORK_START_DATE = e
				this.$forceUpdate();//强制刷新
			},
			changeEndDate(e) {
				this.pd.WORK_END_DATE = e
				this.$forceUpdate();//强制刷新
			},

			goback(){
				var pages = getCurrentPages();	// 获取当前页面栈
				var prePage = pages[pages.length - 2];	// 上二级页面
				prePage.$vm.initflag = true;    // A 页面 init方法 为true
				uni.navigateBack({delta: 1});
				uni.hideLoading();
			},
			radioType(e){
				this.HASINSTRUCTOR = e.detail.value
			},
			goToEdit(){
				this.forbidEdit = false;
			}
		}
	}
</script>

<style>
</style>
